/*
*
* Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
* OASIS trademark, IPR and other policies apply.    
*   
*/
package org.oasisopen.sca.test;

import javax.xml.ws.WebServiceProvider;

import org.oasisopen.sca.annotation.*;


/**
* Java component implementation annotated with @WebServiceProvider
* 1 service with interface provided by this class itself - equivalent to "Service1" interface but with NO @Remotable
* 0 references
*
* Annotated with the @ServiceMode annotation
*
*/
@WebServiceProvider()
@Service(value={Service1WithWebServiceProviderImpl.class}, names={"Service1"})
public class Service1WithWebServiceProviderImpl {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
