/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service interface for a data storage service, equivalent to a Java Map<String, String>,
 * which can store a String data object under a String key.
 */
@Remotable
public interface DataStore {
	
	/**
	 * Operation which stores data into the Data Storage service
	 * @param key - a string which is the Key under which the data is stored
	 * @param data - the data which is stored under the Key
	 */
	public void storeData( String key, String data );
	
	/**
	 * Operation which retrieves data from the Data Storage service
	 * @param key - a string which is the Key used to retrieve the data
	 * @return - a string which is the data stored under the key
	 */
	public String retrieveData( String key );
	
	/**
	 * Operation which removes data from the Data Storage service
	 * @param key - a string which is the Key under which data is stored
	 */
	public void clearData( String key );

}
