/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.PolicySets;
import org.oasisopen.sca.annotation.Remotable;

/**
 * Service interface:
 * 1 operation "operation1", string input, string output
 * - entire interface is annotated with TestIntent4
 * - operation1 is annotated with TestIntent3 & PolicySet1 (which satisfies TestIntent3)
 */
@Remotable
@TestIntent4
public interface Service5Intents {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@TestIntent3
	@PolicySets({Constants.POLICYSET1})
	public String operation1( String input );

}
