/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;
import org.oasisopen.sca.test.Constants;
import org.oasisopen.sca.annotation.PolicySets;

/**
 * Service interface
 * - 1 operation "operation1", string input, string output
 * - interface is annotated with policy set PolicySet1
 * - operation is annotated with policy set PolicySet2
 * @author Dave Booz
 *
 */
@Remotable
@PolicySets({Constants.POLICYSET1})
public interface Service6PolicySets {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@TestIntent5
	@PolicySets({Constants.POLICYSET2})
	public String operation1( String input );

}
