/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

/**
 * A service with 1 operation
 * - operation1: input String response String, out parameter (as indicated by a @WebParam annotation mode attribute)
 *
 */
import javax.jws.WebService;
import javax.jws.WebParam;
import javax.xml.ws.Holder;

import org.oasisopen.sca.annotation.Remotable;

@WebService
@Remotable
public interface ServiceWithMode {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @param outp - out parameter as aa String
	 * @return - output data as a String
	 */
	public String operation1( String input,
			@WebParam(mode=WebParam.Mode.OUT)
			Holder<String> outp);
}
