/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.util.concurrent.atomic.AtomicInteger;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.MultipleService;


/**
 * Java component implementation used to check whether an individual stateless instance
 * ever gets invoked more than once through any of its service methods
 * 1 service with interface MultipleService
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(MultipleService.class)
public class multipleServiceImpl implements MultipleService {
	
	@Property
	public String serviceName = "service1";
	
	// A check value that will operate correctly if used by multiple threads
	AtomicInteger checkValue = new AtomicInteger();

	public int operation1(String input) {
		// Increment the checkValue
		int value = checkValue.incrementAndGet();
		
		// value should be 1 if this instance has only ever been called one
		return (value - 1);
	} // end method operation1

	public int operation2(String input) {
		return operation1(input);
	}

	public int operation3(String input) {
		return operation1(input);
	}

	public int operation4(String input) {
		return operation1(input);
	}

	public int operation5(String input) {
		return operation1(input);
	}

	public int operation6(String input) {
		return operation1(input);
	}

	public int operation7(String input) {
		return operation1(input);
	}

	public int operation8(String input) {
		return operation1(input);
	}

	public int operation9(String input) {
		return operation1(input);
	}

	public int operation10(String input) {
		return operation1(input);
	}

}
