/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.TestIntent2;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 3 references
 *
 * Implementation has all references annotated with TestIntent2
 *
 */
@Service(Service1.class)
public class service1GoodIntent implements Service1 {
	
	public service1GoodIntent(@TestIntent2 @Reference(name="reference1") Service1 ref) {
		reference1 = ref;
	}
	
	public Service1 reference1;
	
	@TestIntent2
	@Reference
	public Service1 reference2;
	
	private Service1 reference3;
	
	@TestIntent2
	@Reference(name="reference3")
	public void setReference3(Service1 ref) {
		reference3 = ref;
	}
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		String result1 = reference1.operation1(input);
		String result2 = reference2.operation1(input);
		String result3 = reference3.operation1(input);
		return serviceName + " operation1 invoked" + " " + result1 + " " + result2 + " " + result3;
	}

}
