/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_11022_TestCase
 * Tests that where a Java interface or class used to define a service has an @WebService
 * annotation with the @name attribute set and the implementation class has a @Service
 * annotation with the name attribute specified, that the name for the service specified
 * in the @Service annotation is used 
 */
public class JCA_11022_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_11022";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_11022 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_11022
