/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_2004_TestCase
 * Tests that where there is a Domain-level component implementation marked as COMPOSITE scope, 
 * that all its clients appear to interact with a single runtime instance of the class.
 */
public class JCA_2004_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_2004 request serviceCoordinator operation1 invoked" + 
    	                           " service1 operation1 invoked serviceComposite operation1 Initial" + 
    	                           " service2 operation1 invoked serviceComposite operation1 1" +
    							   " service3 operation1 invoked serviceComposite operation1 2" +
    							   " service4 operation1 invoked serviceComposite operation1 3";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_2004", "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_2004
