/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_8001_TestCase
 * Tests that intent annotations use the @Intent annotation in the definition of
 * the annotation.
 * 
 * In this testcase, two mutually exclusive intents are defined in the domain. One
 * of them is also defined as a Java annotation using the @Intent definition.
 * TEST_JCA_8001Component1 requires both mutually exclusive intents (one in the
 * SCDL, one in the Java implementation class) and should flag an error that mutually
 * exclusive intents are not allowed.
 *  
 * This testcase is expected to fail
 */
public class JCA_8001_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_8001", "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_8001
