/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9013_TestCase
 * Tests invocations of the ComponentContext.getProperty method:
 * o invocation returns an object of the type specified by the type parameter containing the value in the component configuration
 *   for the property named by the propertyName parameter
 * o method returns null for a property which has no value specified in the component configuration
 * o method throws an IllegalArgumentException if the component does not have a property with the name specified in the propertyName parameter
 * o method throws an IllegalArgumentException if the property named in the  propertyName parameter does not have a type compatible
 *   with the supplied type parameter
 */
public class JCA_9013_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9013 request service1 operation1 invoked getProperty" +
    	                           " expected IllegalArgumentException received for invalid property type" + 
    	                           " expected IllegalArgumentException received for invalid property name" +
    	                           " expected null value for unconfigured optional property" + 
    	                           " expected non-null property value for required property: 2.456" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9013
