/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;
import org.oasisopen.sca.annotation.Property;
import org.oasisopen.sca.annotation.Service;

/**
 * Java component implementation
 * 1 service with interface Service3WithCallback
 * 1 callback using interface Service3Callback with erroneous @Callback annotation
 * 0 references
 *
 * @author DaveBooz
 *
 */
@Service(Service3WithCallback.class)
public class service3BadCallbackImpl implements Service3WithCallback {
	
	@Property
	public String serviceName = "service3";

	@Callback(Service3Callback.class)
	public Service3Callback callback;

	/**
	 * Service operation which also invokes an operation on the callback
	 */
	public String operation3(String input) {
		String callbackResult = callback.callback1("callback");
		return serviceName + " operation1 invoked" + " " + callbackResult;
	}

} // end class
