/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 * @author Dave Booz
 *
 */
@Service(Service1.class)
public class service1ConstrBadRefImpl implements Service1 {
	
	@Constructor
	public service1ConstrBadRefImpl(@Property(name="serviceName",required=true) String s, @Reference(name="reference1",required=false) Service1 s1) {
		serviceName = s;
		reference1 = s1;
	}

	private String serviceName = "service1";

	private Service1 reference1 = null;

	public String operation1(String input) {
		String result = reference1.operation1(input);
		return serviceName + " operation1 invoked" + " " + result;
	}

}
