/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.OneWay;
import org.oasisopen.sca.annotation.Remotable;

/**
 * ServiceOneWayThrows service interface
 * 2 operations:
 * - operation2 an incorrect OneWay method, string input, throws TextException
 * - "operation1" a Request/Response method, string input, string output
 */
@Remotable
public interface ServiceOneWayThrows {
	
	/**
	 * Request/Response method for invoking testcase service
	 * @param input - input parameter as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * OneWay method for invoking testcase service
	 * @param input - input parameter as a String
	 * @throws - a TestException is thrown in cases where the test service fails internally
	 */
	@OneWay
	public void operation2( String input ) throws TestException;

}
