/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.rmi.activation.Activatable;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Dave Booz
 *
 */
@Service({Service1.class, Unmappable.class})
public class unmappableServiceImpl implements Service1, Unmappable {

	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}


	public String operationUnmappable1(FileChannel fc, MappedByteBuffer mbb,
			Activatable act) {
		// Doing nothing here since this just tests the mappability of the service interface
		return null;
	}

}
