/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.util.HashMap;
import java.util.Map;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.DataStore;

@Service(DataStore.class)
@Scope("COMPOSITE")
public class dataStoreCompositeImpl implements DataStore {
	
	private Map<String, String> dataMap = new HashMap<String, String>();

	public void clearData(String key) {
		if( key == null ) return;
		dataMap.remove(key);
	}

	public String retrieveData(String key) {
		if( key == null ) return null;
		return dataMap.get(key);
	} // end method retrieveData

	public void storeData(String key, String data) {
		if( key == null ) return;
		if( data == null ) return;
		
		dataMap.put(key, data);
	} // end method storeData

} // end class dataStoreCompositeImpl
 