/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 * 
 * This implementation refuses to initialize - it throws an exception from its @Init method
 *
 */
@Service(Service1.class)
@Scope("COMPOSITE")
public class service1UninitImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	@Init
	public void initialize() throws Exception {
		// Throws an exception to prevent initialization...
		throw new Exception("Exception thrown by service1UninitImpl to prevent initialization");
	} // end initialize
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
