/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9005_TestCase
 * Tests that if an invocation of the getRequestContext() method of the ComponentContext API 
 * is made during the execution of a Java business method of a callback operation on the same 
 * Java thread used to invoke the business method, then a non-null value is returned for the RequestContext
 */
public class JCA_9005_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9005 request serviceComposite1 operation1 invoked" +
                                   " callbackService operation1 invoked" + 
                                   " serviceComposite1 callback1 invoked" + 
                                   " RequestContext - serviceName:" + 
                                   " reference1";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9005
