/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9010_TestCase
 * Tests invocations of the ComponentContext.getServiceReferences() method:
 * o invocation returns a Collection containing a ServiceReference object for each target service of the reference each 
 *   implementing the interface supplied in the businessInterface parameter
 * o invocation returns an empty Collection where the reference named by referenceName exists but has no target services configured
 * o invocation throws an IllegalArgumentExeption when the named reference exists and has a multiplicity of 0..1 or 1..1
 * o invocation throws an IllegalArgumentExeption when the named reference does not exist 
 * o invocation throws an IllegalArgumentExeption when the named reference does not have an interface compatble 
 *   with the interface in the businessInterface parameter
 */
public class JCA_9010_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9010 request service1 operation1 invoked getServiceReferences" +
    	                           " expected IllegalArgumentException received for 1..1 ref" + 
    	                           " expected IllegalArgumentException received for invalid businessInterface" + 
    	                           " expected IllegalArgumentException received for invalid reference name" + 
    	                           " expected empty Collection for unwired 0..n reference" +
    	                           " expected non-empty Collection for wired 0..n reference" +
    	                           " service2 operation1 invoked service3 operation1 invoked" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_9010
