/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_9014_TestCase
 * Tests invocations of the ComponentContext.cast method:
 * o invocation returns a ServiceReference object typed by the same interface as specified by the reference proxy object 
 *   supplied in the target parameter
 * o method throws an IllegalArgumentException if the supplied target parameter is not an SCA reference proxy object
 */
public class JCA_9014_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_9014 request service1 operation1 invoked cast" +
    	                           " expected IllegalArgumentException received for invalid reference proxy" +
    	                           " expected non-null ServiceReference" + 
    	                           " ServiceReference has correct business interface" ;
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
       
} // end class Test_JCA_9014
